public class MyFramework
{
   public void setCreator(ICreator creator) {
      this.creator = creator;
   }
   public void serialize() {
      creator.serialize();
   }

   private ICreator creator;
}
